libname EXTRACT '/mcr/home/m1crs00/Data/HRS/1994' ; 

DATA EXTRACT.W2MOD5;
INFILE '/mcr/home/m1crs00/Data/HRS/1994/W2MOD5.DA'  LRECL=33; 

INPUT 
  HHID $ 1-6
  PN $ 7-9
  CSUBHH $ 10-10
  ASUBHH $ 11-11
  CPN_SP $ 12-14
  COPN_CS $ 15-17
  CCSR  18-18
  CFAMR  19-19
  CFINR  20-20
  W9344  21-22
  W9345  23-24
  W9346  25-26
  W9347  27-28
  W9348  29-30
  CVERSION  31-33
;


LABEL
  HHID ="HOUSEHOLD IDENTIFIER"
  PN ="PERSON NUMBER"
  CSUBHH ="1994 SUB-HOUSEHOLD IDENTIFIER"
  ASUBHH ="1992 SUB-HOUSEHOLD IDENTIFIER"
  CPN_SP ="1994 SPOUSE/PARTNER PERSON NUMBER"
  COPN_CS ="1994 ACTUAL COVERSHEET PERSON NUMBER"
  CCSR ="1994 WHETHER COVERSHEET RESPONDENT"
  CFAMR ="1994 WHETHER FAMILY RESPONDENT"
  CFINR ="1994 WHETHER FINANCIAL RESPONDENT"
  W9344 ="5-1: DOUBLE/CUT BY 1/3"
  W9345 ="5-1A: DOUBLE/CUT IN HALF"
  W9346 ="5-1B: DOUBLE/CUT BY 20%"
  W9347 ="5-1C: DOUBLE/CUT BY 10%"
  W9348 ="5-1D: DOUBLE/CUT BY 75%"
  CVERSION ="DATA RELEASE VERSION"
;

run;

DATA EXTRACT.W2MOD5;
SET  EXTRACT.W2MOD5;
FORMAT 
  HHID     $CHAR6.
  PN       $CHAR3.
  CSUBHH   $CHAR1.
  ASUBHH   $CHAR1.
  CPN_SP   $CHAR3.
  COPN_CS  $CHAR3.
  CCSR     BEST1.0
  CFAMR    BEST1.0
  CFINR    BEST1.0
  W9344    BEST2.0
  W9345    BEST2.0
  W9346    BEST2.0
  W9347    BEST2.0
  W9348    BEST2.0
  CVERSION BEST3.0
;
run;
