/* Command file to read ASCII data file into SAS /*
/* Note 1: change SAS library and dataset name as necessary */
LIBNAME H2002 'G:\res\Data\HRS\2002';
DATA H2002.H02P_R;
 
/* Note 2: change location of input data file to match your system */
INFILE 'G:\res\Data\HRS\2002\H02P_R.da' LRECL= 168;
 
INPUT
   HHID $  1- 6
   PN $  7- 9
   HSUBHH $  10- 10
   GSUBHH $  11- 11
   HPN_SP $  12- 14
   HCSR    15- 15
   HFAMR    16- 16
   HFINR    17- 17
   HP002    18- 18
   HP003    19- 21
   HP004    22- 24
   HP005    25- 27
   HP006    28- 30
   HP059    31- 33
   HP007    34- 36
   HP008    37- 39
   HP009    40- 40
   HP010    41- 48
   HP011    49- 55
   HP012    56- 63
   HP013    64- 65
   HP014    66- 68
   HP015    69- 71
   HP016    72- 74
   HP017    75- 77
   HP018    78- 80
   HP019    81- 83
   HP020    84- 86
   HP021    87- 89
   HP022    90- 90
   HP023M    91- 92
   HP025    93- 93
   HP026    94- 94
   HP028    95- 97
   HP029    98- 100
   HP030    101- 103
   HP031    104- 106
   HP032    107- 109
   HP034    110- 112
   HP035    113- 115
   HP036    116- 116
   HP037    117- 117
   HP038    118- 118
   HP039    119- 119
   HP040    120- 120
   HP041    121- 121
   HP060    122- 122
   HP061    123- 123
   HP062    124- 124
   HP063    125- 125
   HP064    126- 126
   HP065    127- 127
   HP066    128- 128
   HP067    129- 129
   HP068    130- 130
   HP069    131- 131
   HP042    132- 132
   HP043    133- 133
   HP044    134- 134
   HP047    135- 137
   HP048    138- 140
   HP049    141- 143
   HP050    144- 146
   HP051    147- 147
   HP052    148- 150
   HP053    151- 151
   HP054    152- 154
   HP055    155- 155
   HP056    156- 156
   HVERSION    157- 157
   HQNR $  158- 168
;
 
LABEL
   HHID='HOUSEHOLD IDENTIFICATION NUMBER'
   PN='RESPONDENT PERSON IDENTIFICATION NUMBER'
   HSUBHH='2002 SUB HOUSEHOLD IDENTIFICATION NUMBER'
   GSUBHH='2000 SUB HOUSEHOLD IDENTIFICATION NUMBER'
   HPN_SP='2002 SPOUSE/PARTNER PERSON NUMBER'
   HCSR='2002 WHETHER COVERSHEET RESPONDENT'
   HFAMR='2002 WHETHER FAMILY RESPONDENT'
   HFINR='2002 WHETHER FINANCIAL RESPONDENT'
   HP002='P002 - EXPECTATIONS INTRO'
   HP003='EXPECTATIONS PRACTICE QUESTION'
   HP004='EXPEC - INFLATION VS. INCOME'
   HP005='WILL R LEAVE INHERITANCE -  $10K'
   HP006='WILL R LEAVE INHERITANCE - $100K'
   HP059='CHANCE R/SP LEAVE INHERIT OF $500K/MORE'
   HP007='WILL R LEAVE ANY INHERITANCE'
   HP008='WILL R RECEIVE ANY INHERITANCE NEXT 10YR'
   HP009='CHECKPOINT - R CAN DO PROBABILITY SCALES'
   HP010='RS EXPECTED AMOUNT OF INHERITANCE'
   HP011='RS EXPECTED AMT OF INHERITANCE - MIN'
   HP012='RS EXPECTED AMT OF INHERITANCE - MAX'
   HP013='RS EXPECTED AMT OF INHERITANCE - RESULT'
   HP014='LIKELIHOOD R WILL LOSE JOB'
   HP015='LIKELIHOOD R WILL FIND ANOTHER  JOB'
   HP016='LIKELIHOOD R WILL WORK FOR PAY'
   HP017='LIKELIHOOD R WILL WORK AFTER AGE 62'
   HP018='LIKELIHOOD R WILL WORK AFTER AGE 65'
   HP019='CHANCE HEALTH LIMIT ACTIVITY - NEXT 10YR'
   HP020='CHANCE R WILL FIND DESIRED JOB IN FEW MO'
   HP021='CHANCE R WILL MOVE IN NEXT 2 YEARS'
   HP022='WOULD R MOVE TO ANOTHER STATE?'
   HP023M='MOVE TO WHICH OTHER STATE? - MASKED'
   HP025='TYPE OF HOME R THINKS WILL MOVE INTO'
   HP026='WHOM R THINKS WILL LIVE WITH'
   HP028='CHANCE R WILL LIVE TO BE AGE 75 OR MORE'
   HP029='CHANCE R WILL LIVE TO 80/85/90/95/100'
   HP030='CHANCE GIVE MAJOR FIN HELP IN NEXT 10YR'
   HP031='CHANCE REC MAJOR FIN HELP - $5K OR MORE'
   HP032='PERCENT CHANCE R WILL MOVE TO NH IN 5YR'
   HP034='CHANCE US HAS ECON DEPRESSION NEXT 10YR'
   HP035='CHANCE CONGRESS WILL CHANGE  SS BENEFITS'
   HP036='RISK AVERSION ON THE JOB - 1'
   HP037='RISK AVERSION ON THE JOB - 2'
   HP038='RISK AVERSION ON THE JOB - 3'
   HP039='RISK AVERSION ON THE JOB - 4'
   HP040='RISK AVERSION ON THE JOB - 5'
   HP041='FAM FINANCIAL TIMELINE - SAVE/SPEND/PLAN'
   HP060='RISK AVERSION INHERITED BUSINESS - 1'
   HP061='RISK AVERSION INHERITED BUSINESS - 2'
   HP062='RISK AVERSION INHERITED BUSINESS - 3'
   HP063='RISK AVERSION INHERITED BUSINESS - 4'
   HP064='RISK AVERSION INHERITED BUSINESS - 5'
   HP065='RISK AVERSION INHERIT $1M  INVEST - 1'
   HP066='RISK AVERSION INHERIT $1M  INVEST - 2'
   HP067='RISK AVERSION INHERIT $1M  INVEST - 3'
   HP068='RISK AVERSION INHERIT $1M  INVEST - 4'
   HP069='RISK AVERSION INHERIT $1M  INVEST - 5'
   HP042='COMPARE PROJECTED CHILD HH EARNINGS'
   HP043='COMPARE CHILD EARNINGS - HIGHER'
   HP044='COMPARE CHILD EARNINGS - LOWER'
   HP047='CHANCE  MUTUAL FUNDS WORTH MORE NXT YR'
   HP048='INCREASE IN MUTUAL FUNDS   X10 PERCENT'
   HP049='CHANCE  MUTUAL FUNDS GROW X10 PERCENT'
   HP050='CHANCE  MUTUAL FUNDS WORTH MORE IN 1YR'
   HP051='R SHAKEN BY WTC DISASTER - SEPT 11'
   HP052='PCT CHANCE US BIOTERRORISM - NEXT 5YRS'
   HP053='PCT CHANCE BIOTERRORISM 1 IN A THOUSAND'
   HP054='PCT CHANCE R IS VICTIM OF BIOTERRORISM'
   HP055='CHANCE BIOTERRORISM 1 IN A MILLION'
   HP056='P056 - ASSIST SECTION P - EXPECTATIONS'
   HVERSION='2002 DATA RELEASE VERSION'
   HQNR='BLAISE IDENTIFICATION NUMBER'
;
run;
